@import "../../global";

.base-button {
	display: inline-block;
	border-radius: 3px;
	
	> button {
		border: 0;
		background: white;
		padding: 8px 16px;
		border-radius: inherit;
		font-size: 0.85em;
		transition: background 0.2s;
		outline: none;
		display: inline-block;
		text-align: center;
		position: relative;

		cursor: pointer;

		&:before {
			#pseudoelement.default();
			position: absolute;
			background: black;
			opacity: 0;
			transition: opacity 0.4s;
			top: 0px;
			left: 0px;
			border-radius: inherit;
		}

		&:hover:before {
			opacity: .2;
		}
	}
}